%define pkgver %(echo %version | cut -d. -f1-3)
Name:          mono
Version:       4.2.2.30
Release:       1mamba
Summary:       A .NET runtime environment
Group:         Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.mono-project.com
Source:        http://download.mono-project.com/sources/mono/mono-%{version}.tar.bz2
Patch0:        %{name}-1.9.1-ppc-threading.patch
Patch1:        %{name}-2.6.4-required.patch
License:       GPL, LGPL, MIT, BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libstdc++6-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: bison
BuildRequires: pkgconfig
BuildRequires: valgrind >= 3.3.1
BuildRequires: libgdiplus-devel >= 1.9
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
The Mono Project is an open development initiative that is working to develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy cross-platform .NET applications.

%package core
Summary:       The Mono CIL runtime, suitable for running .NET code
Group:         Development/Languages
#Requires(post):mono-data
Provides:      mono-ikvm = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     mono-ikvm
Obsoletes:     mono
Provides:      monodoc
Obsoletes:     monodoc
Provides:      mono-jay
Obsoletes:     mono-jay
Provides:      mono = %{?epoch:%epoch:}%{version}-%{release}
Provides:      mono(System.Reactive.Linq)
Requires:      %{name}-core = %{?epoch:%epoch:}%{version}-%{release}

%description core
The Mono Project is an open development initiative that is working to develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy cross-platform .NET applications.

This package contains the core of the Mono runtime including its Virtual Machine, Just-in-time compiler, C# compiler, security tools and libraries.

%package devel
Summary:       Development tools for Mono
Group:         Development/Languages
Obsoletes:     mono-cilc
Provides:      mono-cilc = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}-core = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}-nunit = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}-web = %{?epoch:%epoch:}%{version}-%{release}
Provides:      mono-nunit-devel
Obsoletes:     mono-nunit-devel
Provides:      monodoc-devel
Obsoletes:     monodoc-devel

%description devel
The Mono Project is an open development initiative that is working to develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy cross-platform .NET applications.

This package completes the Mono developer toolchain with the mono profiler, assembler and other various tools.

%package debug
Summary:       Library debug files (.mdb) for Mono
Group:         Development/Libraries
Requires:      %{name}-core = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}-nunit = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}-web = %{?epoch:%epoch:}%{version}-%{release}

%description debug
The Mono Project is an open development initiative that is working to develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy cross-platform .NET applications.

This package completes the library debug files (.mdb) for mono.

%package nunit
Summary:       NUnit Testing Framework
Group:         Development/Languages
Requires:      %{name}-core = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libglib-devel

%description nunit
NUnit is a unit-testing framework for all .Net languages.
Initially ported from JUnit, the current release, version 2.2, is the fourth major release of this Unit based unit testing tool for Microsoft .NET.
It is written entirely in C# and  has been completely redesigned to take advantage of many .NET language features, for example custom attributes and other reflection related capabilities.
NUnit brings xUnit to all .NET languages.

%package jay
Summary:       A Yacc implementation oriented to Java-like input syntax
Group:         Development/Languages
Requires:      %{name}-core = %{?epoch:%epoch:}%{version}-%{release}

%description jay
The Mono Project is an open development initiative that is working to develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy cross-platform .NET applications.

Jay is a Yacc implementation oriented to Java-like input syntax.
It takes a grammar, specified in BNF and augmented with semantic actions, and generates tables and an interpreter which recognizes the language defined by the grammar and executes the semantic actions as their corresponding phrases are recognized.

%package locale-extras
Summary:       Extra locale information for mono
Group:         Development/Languages
Requires:      %{name}-core = %{?epoch:%epoch:}%{version}-%{release}

%description locale-extras
The Mono Project is an open development initiative that is working to develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy cross-platform .NET applications.

This package contains assemblies to support I18N applications for non-latin alphabets.

%package data
Summary:       Database connectivity for Mono
Group:         Development/Languages
Requires:      %{name}-core = %{?epoch:%epoch:}%{version}-%{release}

%description data
The Mono Project is an open development initiative that is working to develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy cross-platform .NET applications.

Database connectivity for Mono.

%package data-sqlite
Summary:       SQLite database connectivity for Mono
Group:         Development/Languages
Requires:      %{name}-core = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libsqlite >= 3.5.9

%description data-sqlite
The Mono Project is an open development initiative that is working to develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy cross-platform .NET applications.

This package contains the ADO.NET Data provider for the sqlite database.

%package data-sybase
Summary:       Sybase database connectivity for Mono
Group:         Development/Languages
Requires:      %{name}-core = %{?epoch:%epoch:}%{version}-%{release}

%description data-sybase
The Mono Project is an open development initiative that is working to develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy cross-platform .NET applications.

This package contains the ADO.NET Data provider for the Sybase database.

%package data-oracle
Summary:       Oracle database connectivity for Mono
Group:         Development/Languages
Requires:      %{name}-core = %{?epoch:%epoch:}%{version}-%{release}

%description data-oracle
The Mono Project is an open development initiative that is working to develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy cross-platform .NET applications.

This package contains the ADO.NET Data provider for the Oracle database.

%package data-postgresql
Summary:       PostgreSQL database connectivity for Mono
Group:         Development/Languages
Requires:      %{name}-core = %{?epoch:%epoch:}%{version}-%{release}

%description data-postgresql
The Mono Project is an open development initiative that is working to develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy cross-platform .NET applications.

This package contains the ADO.NET Data provider for the PostgreSQL database.

%package data-firebird
Summary:       Firebird database connectivity for Mono
Group:         Development/Languages
Requires:      %{name}-core = %{?epoch:%epoch:}%{version}-%{release}

%description data-firebird
The Mono Project is an open development initiative that is working to develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy cross-platform .NET applications.

This package contains the ADO.NET Data provider for the Firebird database.

%package ibm-data-db2
Summary:       IBM DB2 database connectivity for Mono
Group:         Development/Languages
Requires:      %{name}-core = %{?epoch:%epoch:}%{version}-%{release}
# this is the upstream package name
Provides:      ibm-data-db2 = %{?epoch:%epoch:}%{version}-%{release}

%description ibm-data-db2
The Mono Project is an open development initiative that is working to develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy cross-platform .NET applications.

This package contains the ADO.NET Data provider for the IBM DB2 Universal database.

%package bytefx-data-mysql
Summary:       MySQL database connectivity for Mono
Group:         Applications/Development
Requires:      %{name}-core = %{?epoch:%epoch:}%{version}-%{release}
# this is the upstream package name
Provides:      bytefx-data-mysql = %{?epoch:%epoch:}%{version}-%{release}

%description bytefx-data-mysql
The Mono Project is an open development initiative that is working to develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy cross-platform .NET applications.
The project will implement various technologies that have been submitted to the ECMA for standardization.

This package contains the ADO.NET Data provider for MySQL.
This is no longer maintained.
MySQL AB now provides MySQL Connector/Net which is fully managed and actively maintained.

%package winforms
Summary:       Windows Forms implementation for Mono
Group:         Development/Languages
Requires:      %{name}-core = %{?epoch:%epoch:}%{version}-%{release}

%description winforms
The Mono Project is an open development initiative that is working to develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy cross-platform .NET applications.

This package provides a fully managed implementation of System.Windows.Forms, the default graphical toolkit for .NET applications.

%package jscript
Summary:       JScript .NET support for Mono
Group:         Development/Languages
Requires:      %{name}-core = %{?epoch:%epoch:}%{version}-%{release}

%description jscript
The Mono Project is an open development initiative that is working to develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy cross-platform .NET applications.

This package contains the JScript .NET compiler and language runtime.
This allows you to compile and run JScript.NET application and assemblies.

%package extras
Summary:       Extra packages for Mono
Group:         Development/Languages
Requires:      %{name}-core = %{?epoch:%epoch:}%{version}-%{release}

%description extras
The Mono Project is an open development initiative that is working to develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy cross-platform .NET applications.

This package provides the library and application to run services and daemons with Mono.
It also includes stubs for the following .NET 1.1 and 2.0 assemblies: Microsoft.Vsa, System.Configuration.Install, System.Management, System.Messaging.

%package web
Summary:       Mono implementation of ASP.NET, Remoting and Web Services
Group:         Development/Languages
Requires:      %{name}-core = %{?epoch:%epoch:}%{version}-%{release}
Provides:      %{name}-jscript
Obsoletes:     %{name}-jscript

%description web
The Mono Project is an open development initiative that is working to develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy cross-platform .NET applications.

Mono implementation of ASP.NET, Remoting and Web Services.

%prep
%setup -q -n %{name}-%{pkgver}
#-D -T
#:<< ___EOF
#%patch0 -p1 -b .ppc-threading
#%patch1 -p1

# NOTE: this is to pass %{_libdir} to __mono_requires to allow running of monodis
# using internal libraries to allow 2 -> 3 smooth update
%define __mono_requires %{_builddir}/mono-%{pkgver}/mono_requires.sh
cat > mono_requires.sh << _EOF
%ifarch x86_64
# WORKAROUND: LD_LIBRARY_PATH seems to be ignored in x86_64
export LD_PRELOAD=%{buildroot}%{_libdir}/libmono-2.0.so.1.0.0
%endif
%{_prefix}/lib/rpm/mono-find-requires %{_builddir} %{buildroot} %{_libdir}
_EOF

%define __mono_provides %{_builddir}/mono-%{pkgver}/mono_provides.sh
cat > mono_provides.sh << _EOF
%ifarch x86_64
# WORKAROUND: LD_LIBRARY_PATH seems to be ignored in x86_64
export LD_PRELOAD=%{buildroot}%{_libdir}/libmono-2.0.so.1.0.0
%endif
%{_prefix}/lib/rpm/mono-find-provides %{_builddir} %{buildroot} %{_libdir}
_EOF

chmod +x mono_requires.sh mono_provides.sh

%build
#:<< ___EOF
##export LDFLAGS="-L /lib:/usr/lib"
%configure \
   --enable-shared \
   --enable-static \
   --with-static_mono=yes \
   --with-ikvm=yes \
   --with-tls=__thread \
   --with-ikvm-native=yes \
   --with-jit=yes \
   --with-x \
   --with-preview=yes

%make -j1
#make check

%install
%makeinstall -j1

# fix documentation
rm -fr %{buildroot}%{_datadir}/libgc-mono

# this was removed upstream:

rm -f %{buildroot}%{_bindir}/mbas
rm -f %{buildroot}%{_prefix}/lib/mono/?.?/CorCompare.exe
rm -f %{buildroot}%{_prefix}/lib/mono/?.?/browsercaps-updater.exe*
rm -f %{buildroot}%{_prefix}/lib/mono/?.?/ictool.exe*

# only for Windows
rm -fr %{buildroot}%{_prefix}/lib/mono/gac/Mono.Security.Win32
rm -f  %{buildroot}%{_prefix}/lib/mono/?.?/Mono.Security.Win32.dll

%find_lang mcs

install -d -m0755 %{buildroot}%{_sysconfdir}/prelink.conf.d
cat > %{buildroot}%{_sysconfdir}/prelink.conf.d/mono.conf << _EOF
-b /usr/bin/monodis
_EOF

# fix symlink pointing to buildroot
rm -f %{buildroot}%{_bindir}/mono
ln -s mono-sgen %{buildroot}%{_bindir}/mono

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post core
/sbin/ldconfig
[ -x %{_bindir}/monodoc ] &&
   %{_bindir}/monodoc --make-search-index &>/dev/null || :

%postun core -p /sbin/ldconfig

%files core -f mcs.lang
%defattr(-,root,root)
%{_sysconfdir}/prelink.conf.d/mono.conf
%dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}/mconfig
%dir %{_sysconfdir}/%{name}/?.?
%config (noreplace) %{_sysconfdir}/%{name}/mconfig/config.xml
%config (noreplace) %{_sysconfdir}/%{name}/?.?/machine.config
%config (noreplace) %{_sysconfdir}/%{name}/?.?/settings.map
%{_bindir}/cert-sync
%{_prefix}/lib/mono/?.?/cert-sync.exe
%{_bindir}/cccheck
%{_bindir}/ccrewrite
%{_bindir}/certmgr
%{_bindir}/crlupdate
%{_bindir}/csharp
%{_bindir}/dmcs
%{_prefix}/lib/%{name}/?.?/certmgr.exe
%{_bindir}/chktrust
%{_prefix}/lib/%{name}/?.?/chktrust.exe
%{_bindir}/gacutil
#%{_bindir}/gacutil1
%{_bindir}/gacutil2
%{_bindir}/ikdasm
%{_prefix}/lib/mono/?.?/ikdasm.exe
%{_bindir}/mono-symbolicate
%{_prefix}/lib/mono/?.?/mono-symbolicate.exe
%{_prefix}/lib/%{name}/?.?/gacutil.exe
#%{_bindir}/gmcs*
#%{_prefix}/lib/%{name}/?.?/gmcs.exe#%{_prefix}/lib/%{name}/?.?/dmcs.exe
#%{_prefix}/lib/%{name}/?.?/dmcs.exe.config
#%{_prefix}/lib/%{name}/?.?/dmcs.exe.so

#%{_prefix}/lib/%{name}/?.?/gmcs.exe.config
%{_prefix}/lib/%{name}/?.?/mcs.exe
%{_prefix}/lib/%{name}/?.?/mcs.exe.so
%{_bindir}/lc
%{_bindir}/mcs
%{_bindir}/mdassembler
%{_bindir}/mdoc
%{_bindir}/mdoc-*
%{_bindir}/mdvalidater
%{_bindir}/mod
%{_bindir}/mono
%{_bindir}/mono-boehm
%{_bindir}/mono-configuration-crypto
%{_bindir}/mono-heapviz
%{_bindir}/mono-sgen
%{_bindir}/mprof-report
%{_bindir}/peverify
%{_bindir}/%{name}-cil-strip
%{_prefix}/lib/%{name}/?.?/ccrewrite.exe
%{_bindir}/mdbrebase
%{_prefix}/lib/%{name}/?.?/mdbrebase.exe
%{_bindir}/mozroots
%{_prefix}/lib/%{name}/?.?/mozroots.exe
%{_bindir}/pdb2mdb
%{_prefix}/lib/%{name}/?.?/pdb2mdb.exe
%{_bindir}/setreg
%{_prefix}/lib/%{name}/?.?/setreg.exe
%{_bindir}/sn
%{_prefix}/lib/%{name}/?.?/sn.exe
%{_bindir}/sqlmetal
%{_prefix}/lib/%{name}/?.?/sqlmetal.exe
%{_prefix}/lib/%{name}/?.?/sqlmetal.exe.config
%{_bindir}/svcutil
%{_prefix}/lib/%{name}/?.?/svcutil.exe

%{_bindir}/mono-test-install

#%{_bindir}/smcs
#%{_prefix}/lib/%{name}/2.1/smcs.exe

%{_mandir}/man1/ccrewrite.*
%{_mandir}/man1/csharp.*
%{_mandir}/man1/%{name}.*
%{_mandir}/man1/cccheck.1*
%{_mandir}/man1/crlupdate.1*
%{_mandir}/man1/certmgr.*
%{_mandir}/man1/chktrust.*
%{_mandir}/man1/gacutil.*
%{_mandir}/man1/mcs.*
%{_mandir}/man1/mdassembler.*
%{_mandir}/man1/mdoc.*
%{_mandir}/man1/mono-api-info.*
%{_mandir}/man1/mono-cil-strip.*
%{_mandir}/man1/mono-configuration-crypto.*
%{_mandir}/man1/monodocer.*
%{_mandir}/man1/monodocs2html.*
%{_mandir}/man1/mono-symbolicate.1*
#%{_mandir}/man1/mvalidater.*
%{_mandir}/man1/mozroots.*
%{_mandir}/man1/mprof-report.1*
%{_mandir}/man1/pdb2mdb.*
%{_mandir}/man1/setreg.*
%{_mandir}/man1/sn.*

%{_mandir}/man5/%{name}-config.*
%{_mandir}/man5/mdoc.*

#%{_bindir}/mkbundle1
#%{_bindir}/mkbundle2
%{_bindir}/%{name}-find-provides
%{_bindir}/%{name}-find-requires

%{_libdir}/lib%{name}-2.0.so.*
%{_libdir}/libmonoboehm-2.0.so.*
%{_libdir}/lib%{name}sgen-2.0.so.*
%{_libdir}/lib%{name}-profiler-*.so.*
%{_libdir}/libikvm-native.so
%{_libdir}/libMonoPosixHelper.so
%{_libdir}/libMonoSupportW.so
%{_libdir}/mono/lldb/mono.py

#%dir %{_prefix}/lib/%{name}/*
#%dir %{_prefix}/lib/%{name}/?.?
#%dir %{_prefix}/lib/%{name}/gac
#%dir %{_prefix}/lib/%{name}/compat-*

%{_prefix}/lib/%{name}/gac/Commons.Xml.Relaxng/*/Commons.Xml.Relaxng.dll
%{_prefix}/lib/%{name}/*/Commons.Xml.Relaxng.dll
%{_prefix}/lib/%{name}/gac/CustomMarshalers/*/CustomMarshalers.dll
%{_prefix}/lib/%{name}/gac/I18N.West/*/I18N.West.dll
%{_prefix}/lib/%{name}/gac/*/*/Mono.CSharp.dll
%{_prefix}/lib/%{name}/gac/*/*/Mono.Cairo.dll
%{_prefix}/lib/%{name}/gac/*/*/System.IdentityModel.Selectors.dll
%{_prefix}/lib/%{name}/gac/*/*/System.ServiceModel.Discovery.dll
%{_prefix}/lib/%{name}/gac/*/*/System.ServiceModel.Routing.dll
%{_prefix}/lib/%{name}/gac/*/*/System.Xml.Linq.dll
%{_prefix}/lib/%{name}/gac/*/*/monodoc.dll.config
%{_prefix}/lib/%{name}/gac/I18N/*/I18N.dll
%{_prefix}/lib/%{name}/?.?/I18N.dll
%{_prefix}/lib/%{name}/*/I18N.West.dll
%{_prefix}/lib/%{name}/gac/ICSharpCode.SharpZipLib/*/ICSharpCode.SharpZipLib.dll
%{_prefix}/lib/%{name}/*/ICSharpCode.SharpZipLib.dll
%{_prefix}/lib/%{name}/*/installutil.exe
%{_prefix}/lib/%{name}/*/cccheck.exe
%{_prefix}/lib/%{name}/*/crlupdate.exe
%{_prefix}/lib/%{name}/*/lc.exe
%{_prefix}/lib/%{name}/*/Microsoft.Build.dll
%{_prefix}/lib/%{name}/gac/Microsoft.Build.Framework/*/Microsoft.Build.Framework.dll
%{_prefix}/lib/%{name}/*/Microsoft.Build.Framework.dll
%{_prefix}/lib/%{name}/*/Microsoft.CSharp.dll
%{_prefix}/lib/%{name}/gac/Microsoft.CSharp/*/Microsoft.CSharp.dll
%{_prefix}/lib/%{name}/*/Microsoft.CSharp.targets
#%{_prefix}/lib/%{name}/*/Microsoft.Portable.CSharp.targets
%{_prefix}/lib/%{name}/*/Mono.CSharp.dll
%{_prefix}/lib/%{name}/*/Microsoft.VisualC.dll
%{_prefix}/lib/%{name}/gac/Microsoft.VisualC/*/Microsoft.VisualC.dll
%{_prefix}/lib/%{name}/gac/Mono.Management/*/Mono.Management.dll
%{_prefix}/lib/%{name}/*/Mono.Management.dll
%{_prefix}/lib/%{name}/gac/Mono.C5/*/Mono.C5.dll
%{_prefix}/lib/%{name}/?.?/Mono.C5.dll
%{_prefix}/lib/%{name}/*/Mono.Cairo.dll
#%{_prefix}/lib/%{name}/gac/Mono.Cecil.Mdb/*/Mono.Cecil.Mdb.dll
#%{_prefix}/lib/%{name}/gac/Mono.Cecil/*/Mono.Cecil.dll
%{_prefix}/lib/%{name}/gac/Mono.CompilerServices.SymbolWriter/*/Mono.CompilerServices.SymbolWriter.dll
%{_prefix}/lib/%{name}/*/Mono.CompilerServices.SymbolWriter.dll
#%{_prefix}/lib/%{name}/*/Mono.GetOptions*

%{_prefix}/lib/%{name}/gac/Mono.Parallel/4.0.0.0__0738eb9f132ed756/Mono.Parallel.dll
%{_prefix}/lib/%{name}/*/Mono.Parallel.dll
%{_prefix}/lib/%{name}/gac/Mono.Posix/*/Mono.Posix.dll
%{_prefix}/lib/%{name}/*/Mono.Posix.dll
%{_prefix}/lib/%{name}/gac/Mono.Security/*/Mono.Security.dll
%{_prefix}/lib/%{name}/*/Mono.Security.dll
%{_prefix}/lib/%{name}/gac/Mono.Simd/*/Mono.Simd.dll
%{_prefix}/lib/%{name}/*/Mono.Simd.dll
%{_prefix}/lib/%{name}/gac/Mono.Tasklets/*/Mono.Tasklets.dll
%{_prefix}/lib/%{name}/*/Mono.Tasklets.dll
%{_prefix}/lib/%{name}/gac/WindowsBase/*/WindowsBase.dll
%{_prefix}/lib/%{name}/?.?/WindowsBase.dll
#%{_prefix}/lib/%{name}/*/monolinker.exe*
%{_prefix}/lib/%{name}/gac/Mono.CodeContracts/*/Mono.CodeContracts.dll
%{_prefix}/lib/%{name}/?.?/Mono.CodeContracts.dll
%{_prefix}/lib/%{name}/gac/System/*/System.dll
%{_prefix}/lib/%{name}/?.?/System.dll
%{_prefix}/lib/%{name}/gac/System.ComponentModel.Composition/*/System.ComponentModel.Composition.dll
%{_prefix}/lib/%{name}/?.?/System.ComponentModel.Composition.dll
%{_prefix}/lib/%{name}/gac/System.ComponentModel.DataAnnotations/*/System.ComponentModel.DataAnnotations.dll
%{_prefix}/lib/%{name}/*/System.ComponentModel.DataAnnotations.dll
%{_prefix}/lib/%{name}/gac/System.Core/*/System.Core.dll
%{_prefix}/lib/%{name}/*/System.Core.dll
%{_prefix}/lib/%{name}/gac/System.Configuration/*/System.Configuration.dll
%{_prefix}/lib/%{name}/*/System.Configuration.dll
%{_prefix}/lib/%{name}/gac/System.Configuration.Install/*/System.Configuration.Install.dll
%{_prefix}/lib/%{name}/?.?/System.Configuration.Install.dll
%{_prefix}/lib/%{name}/gac/System.Drawing/*/System.Drawing.dll
%{_prefix}/lib/%{name}/*/System.Drawing.dll
%{_prefix}/lib/%{name}/gac/System.Dynamic/*/System.Dynamic.dll
%{_prefix}/lib/%{name}/?.?/System.Dynamic.dll
%{_prefix}/lib/%{name}/gac/System.IdentityModel/*/System.IdentityModel.dll
%{_prefix}/lib/%{name}/*/System.IdentityModel.dll
%{_prefix}/lib/%{name}/*/System.IdentityModel.Selectors.dll
%{_prefix}/lib/%{name}/*/System.IO.Compression.FileSystem.dll
%{_prefix}/lib/%{name}/gac/System.IO.Compression.FileSystem/4.0.0.0__b77a5c561934e089/System.IO.Compression.FileSystem.dll
%{_prefix}/lib/%{name}/*/System.IO.Compression.dll
%{_prefix}/lib/%{name}/gac/System.IO.Compression/4.0.0.0__b77a5c561934e089/System.IO.Compression.dll
#%{_prefix}/lib/%{name}/gac/System.Json/2.0.0.0__31bf3856ad364e35/System.Json.dll
%{_prefix}/lib/%{name}/gac/System.Json.Microsoft/4.0.0.0__31bf3856ad364e35/System.Json.Microsoft.dll
%{_prefix}/lib/%{name}/*/System.Json.Microsoft.dll
%{_prefix}/lib/%{name}/gac/System.Json/4.0.0.0__31bf3856ad364e35/System.Json.dll
%{_prefix}/lib/%{name}/?.?/System.Json.dll
%{_prefix}/lib/%{name}/gac/System.Net/*/System.Net.dll
%{_prefix}/lib/%{name}/?.?/System.Net.dll
%{_prefix}/lib/%{name}/?.?/System.Net.Http.Formatting.dll
%{_prefix}/lib/%{name}/?.?/System.Net.Http.dll
%{_prefix}/lib/%{name}/gac/System.Net.Http.Formatting/4.0.0.0__31bf3856ad364e35/System.Net.Http.Formatting.dll
%{_prefix}/lib/%{name}/gac/System.Net.Http/4.0.0.0__b03f5f7f11d50a3a/System.Net.Http.dll
%{_prefix}/lib/%{name}/gac/System.Numerics/*/System.Numerics.dll
%{_prefix}/lib/%{name}/?.?/System.Numerics.dll
%{_prefix}/lib/%{name}/gac/System.Reactive.*/*/*.dll
%{_prefix}/lib/%{name}/?.?/System.Reactive.*.dll
#%{_prefix}/lib/%{name}/gac/System.Runtime.Serialization/*/System.Runtime.Serialization.dll
#%{_prefix}/lib/%{name}/?.?/System.Runtime.Serialization.dll
%{_prefix}/lib/%{name}/gac/System.Runtime.Caching/*/System.Runtime.Caching.dll
%{_prefix}/lib/%{name}/?.?/System.Runtime.Caching.dll
%{_prefix}/lib/%{name}/gac/System.Runtime.DurableInstancing/*/System.Runtime.DurableInstancing.dll
%{_prefix}/lib/%{name}/?.?/System.Runtime.DurableInstancing.dll
%{_prefix}/lib/%{name}/gac/System.Runtime.Serialization/*/System.Runtime.Serialization.dll
%{_prefix}/lib/%{name}/?.?/System.Runtime.Serialization.dll
%{_prefix}/lib/%{name}/gac/System.Security/*/System.Security.dll
%{_prefix}/lib/%{name}/*/System.Security.dll
%{_prefix}/lib/%{name}/*/System.Threading.Tasks.Dataflow.dll
%{_prefix}/lib/%{name}/gac/System.Threading.Tasks.Dataflow/4.0.0.0__b77a5c561934e089/System.Threading.Tasks.Dataflow.dll
%{_prefix}/lib/%{name}/gac/System.ServiceModel.Activation/*/System.ServiceModel.Activation.dll
%{_prefix}/lib/%{name}/?.?/System.ServiceModel.Activation.dll
%{_prefix}/lib/%{name}/gac/System.ServiceModel/*/System.ServiceModel.dll
%{_prefix}/lib/%{name}/*/System.ServiceModel.dll
%{_prefix}/lib/%{name}/*/System.ServiceModel.Discovery.dll
%{_prefix}/lib/%{name}/*/System.ServiceModel.Routing.dll
%{_prefix}/lib/%{name}/gac/System.Transactions/*/System.Transactions.dll
%{_prefix}/lib/%{name}/*/System.Transactions.dll
%{_prefix}/lib/%{name}/*/System.Windows.dll
%{_prefix}/lib/%{name}/gac/System.Windows/4.0.0.0__b03f5f7f11d50a3a/System.Windows.dll
%{_prefix}/lib/%{name}/gac/System.Xml.Serialization/*/System.Xml.Serialization.dll
%{_prefix}/lib/%{name}/*/System.Xml.Serialization.dll
#%{_prefix}/lib/%{name}/gac/System.Xml.Serialization/4.0.0.0__b03f5f7f11d50a3a/System.Xml.Serialization.dll
%{_prefix}/lib/%{name}/gac/System.Xaml/*/System.Xaml.dll
%{_prefix}/lib/%{name}/?.?/System.Xaml.dll
%{_prefix}/lib/%{name}/gac/System.Xml/*/System.Xml.dll
%{_prefix}/lib/%{name}/*/System.Xml.dll
%{_prefix}/lib/%{name}/*/System.Xml.Linq.dll
%{_prefix}/lib/%{name}/gac/cscompmgd/*/cscompmgd.dll
%{_prefix}/lib/%{name}/?.?/cscompmgd.dll
%{_prefix}/lib/%{name}/*/CustomMarshalers.dll
#%{_prefix}/lib/%{name}/gac/OpenSystem.C/*/OpenSystem.C.dll
#%{_prefix}/lib/%{name}/*/OpenSystem.C.dll
%{_prefix}/lib/%{name}/*/mscorlib.dll
%{_prefix}/lib/%{name}/*/mscorlib.dll.so
%{_prefix}/lib/%{name}/mono-configuration-crypto
%{_prefix}/lib/mono/?.?/Microsoft.VisualBasic.dll
%{_prefix}/lib/mono/?.?/SMDiagnostics.dll
%{_prefix}/lib/mono/?.?/System.Data.Entity.dll
%{_prefix}/lib/mono/gac/System.Data.Entity/*/System.Data.Entity.dll
%{_prefix}/lib/mono/gac/System.ServiceModel.Internals/*/System.ServiceModel.Internals.dll
%{_prefix}/lib/mono/?.?/System.ServiceModel.Internals.dll
%{_prefix}/lib/mono/gac/Mono.Cecil/*/Mono.Cecil.dll
%{_prefix}/lib/mono/gac/SMDiagnostics/*/SMDiagnostics.dll
%doc COPYING.LIB

%files debug
%defattr(-,root,root)
%{_bindir}/mono-gdb.py
%{_bindir}/mono-sgen-gdb.py
#%{_prefix}/lib/%{name}/2.1/smcs.exe.mdb
#%{_prefix}/lib/%{name}/1.0/monolinker.exe.mdb
%{_prefix}/lib/%{name}/?.?/Mono.Debugger.Soft.dll
%{_prefix}/lib/%{name}/gac/Mono.Debugger.Soft/*/Mono.Debugger.Soft.dll
%{_prefix}/lib/%{name}/?.?/*.mdb
%{_prefix}/lib/%{name}/gac/*/*/*.mdb

%files devel
%defattr(-,root,root)
%{_bindir}/%{name}dis
%{_bindir}/pedump
%{_bindir}/monodocer
%{_bindir}/monodocs2html
%{_bindir}/monodocs2slashdoc
#%{_bindir}/%{name}diet
%{_bindir}/al*
%{_prefix}/lib/%{name}/?.?/al.exe
%{_bindir}/caspol
%{_prefix}/lib/%{name}/?.?/caspol.exe
%{_bindir}/cert2spc
%{_prefix}/lib/%{name}/?.?/cert2spc.exe
%{_prefix}/lib/%{name}/?.?/culevel.exe
%{_bindir}/dtd2xsd
%{_prefix}/lib/%{name}/?.?/dtd2xsd.exe
%{_bindir}/dtd2rng
%{_prefix}/lib/%{name}/?.?/dtd2rng.exe
%{_bindir}/genxs
#%{_bindir}/genxs1
#%{_bindir}/genxs2
%{_prefix}/lib/%{name}/?.?/genxs.exe
%{_bindir}/httpcfg
%{_prefix}/lib/%{name}/?.?/httpcfg.exe
%{_bindir}/sgen
%{_prefix}/lib/%{name}/?.?/sgen.exe
%{_bindir}/ilasm*
%{_prefix}/lib/%{name}/?.?/ilasm.exe
%{_bindir}/installvst
%{_prefix}/lib/%{name}/?.?/installvst.exe
%{_bindir}/macpack
%{_prefix}/lib/%{name}/?.?/macpack.exe
%{_bindir}/makecert
%{_prefix}/lib/%{name}/?.?/makecert.exe
%{_bindir}/mkbundle
%{_prefix}/lib/mono-source-libs/*
%{_prefix}/lib/monodoc/sources/*
%{_prefix}/lib/%{name}/?.?/monodoc.dll
%{_prefix}/lib/%{name}/monodoc/monodoc.dll
%{_prefix}/lib/monodoc/monodoc.xml
%{_prefix}/lib/%{name}/?.?/mkbundle.exe
#%{_bindir}/%{name}-api-diff
#%{_prefix}/lib/%{name}/?.?/%{name}-api-diff.exe
%{_bindir}/%{name}-api-info*
%{_prefix}/lib/%{name}/?.?/%{name}-api-info.exe
%{_bindir}/%{name}p*
%{_prefix}/lib/%{name}/?.?/%{name}p.exe
%{_bindir}/%{name}-shlib-cop
%{_prefix}/lib/%{name}/?.?/%{name}-shlib-cop.exe
%{_prefix}/lib/%{name}/?.?/%{name}-shlib-cop.exe.config
%{_bindir}/%{name}-xmltool
%{_prefix}/lib/%{name}/?.?/%{name}-xmltool.exe
%{_bindir}/permview
%{_prefix}/lib/%{name}/?.?/permview.exe
%{_bindir}/prj2make
%{_bindir}/resgen*
%{_prefix}/lib/%{name}/?.?/resgen.exe
%{_bindir}/secutil
%{_prefix}/lib/%{name}/?.?/secutil.exe
%{_bindir}/signcode
%{_prefix}/lib/%{name}/?.?/signcode.exe
%{_bindir}/xbuild
%dir %{_prefix}/lib/%{name}/xbuild
%{_prefix}/lib/%{name}/xbuild/*
%{_prefix}/lib/%{name}/?.?/xbuild.exe
%dir %{_prefix}/lib/%{name}/xbuild-frameworks
%dir %{_prefix}/lib/mono/xbuild-frameworks/.NETFramework
%{_prefix}/lib/mono/xbuild-frameworks/.NETFramework/*
%{_prefix}/lib/%{name}/*/Mono.XBuild.Tasks.dll
%{_prefix}/lib/%{name}/*/xbuild.exe.config
%dir %{_prefix}/lib/%{name}/gac/Mono.XBuild.Tasks
%{_prefix}/lib/%{name}/gac/Mono.XBuild.Tasks/*/Mono.XBuild.Tasks.dll

#%{_bindir}/%{name}graph
%{_bindir}/monolinker
%{_prefix}/lib/%{name}/*/monolinker.exe

#%{_prefix}/lib/%{name}/1.0/transform.exe

%{_libdir}/lib%{name}-2.0.so
%{_libdir}/lib%{name}-2.0.a
%{_libdir}/lib%{name}-2.0.la
%{_libdir}/libmonoboehm-2.0.a
%{_libdir}/libmonoboehm-2.0.la
%{_libdir}/libmonoboehm-2.0.so
%{_libdir}/lib%{name}sgen-2.0.so
%{_libdir}/lib%{name}sgen-2.0.a
%{_libdir}/lib%{name}sgen-2.0.la
%{_libdir}/lib%{name}-profiler-*.a
%{_libdir}/lib%{name}-profiler-*.la
%{_libdir}/lib%{name}-profiler-*.so
%{_libdir}/libikvm-native.a
%{_libdir}/libikvm-native.la
%{_libdir}/libMonoPosixHelper.a
%{_libdir}/libMonoPosixHelper.la
%{_libdir}/libMonoSupportW.a
%{_libdir}/libMonoSupportW.la
%{_prefix}/lib/%{name}/*/mod.exe
%{_prefix}/lib/%{name}/*/mono-cil-strip.exe
%{_prefix}/lib/%{name}/*/csharp.exe
%{_prefix}/lib/%{name}/*/mdoc.exe

#%{_prefix}/lib/%{name}/gac/System.IdentityModel/*/System.IdentityModel.dll*
%{_prefix}/lib/%{name}/gac/monodoc/*/monodoc.dll

%{_includedir}/%{name}-?.?
%{_datadir}/%{name}-?.?

%{_prefix}/lib/%{name}/gac/PEAPI/*/PEAPI.dll
%{_prefix}/lib/%{name}/*/PEAPI.dll
%{_prefix}/lib/%{name}/gac/Microsoft.Build/*/Microsoft.Build.dll
%{_prefix}/lib/%{name}/gac/Microsoft.Build.Engine/*/Microsoft.Build.Engine.dll
%{_prefix}/lib/%{name}/*/Microsoft.Build.Engine.dll
%{_prefix}/lib/%{name}/gac/Microsoft.Build.Tasks*/*/Microsoft.Build.Tasks*.dll
%{_prefix}/lib/%{name}/*/Microsoft.Build.Tasks*.dll
%{_prefix}/lib/%{name}/gac/Microsoft.Build.Utilities*/*/Microsoft.Build.Utilities*.dll
%{_prefix}/lib/%{name}/*/Microsoft.Build.Utilities*.dll

%dir %{_prefix}/lib/%{name}/?.?/Facades
%{_prefix}/lib/%{name}/?.?/Facades/System.*.dll
#%{_prefix}/lib/%{name}/?.?/Facades/System.*.dll.mdb

%{_prefix}/lib/%{name}/?.?/MSBuild
%{_prefix}/lib/%{name}/?.?/xbuild.rsp
%{_prefix}/lib/%{name}/?.?/Microsoft.Build.xsd
%{_prefix}/lib/%{name}/?.?/Microsoft.Common.tasks
%{_prefix}/lib/%{name}/?.?/Microsoft.Common.targets
%{_prefix}/lib/%{name}/?.?/Microsoft.VisualBasic.targets

%{_libdir}/pkgconfig/aspnetwebstack.pc
%{_libdir}/pkgconfig/%{name}-nunit.pc
%{_libdir}/pkgconfig/cecil.pc
%{_libdir}/pkgconfig/dotnet.pc
%{_libdir}/pkgconfig/dotnet35.pc
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/%{name}-2.pc
%{_libdir}/pkgconfig/%{name}-cairo.pc
%{_libdir}/pkgconfig/%{name}-lineeditor.pc
%{_libdir}/pkgconfig/%{name}-options.pc
%{_libdir}/pkgconfig/%{name}sgen-2.pc
%{_libdir}/pkgconfig/monodoc.pc
#%{_libdir}/pkgconfig/mono.web.pc
%{_libdir}/pkgconfig/reactive.pc
%{_libdir}/pkgconfig/system.web.mvc.pc
%{_libdir}/pkgconfig/system.web.mvc2.pc
%{_libdir}/pkgconfig/system.web.mvc3.pc
%{_libdir}/pkgconfig/system.web.extensions*.pc
%{_libdir}/pkgconfig/wcf.pc
%{_libdir}/pkgconfig/xbuild12.pc

%{_mandir}/man1/mconfig.1*
%{_mandir}/man1/monolinker.1*
%{_mandir}/man1/resgen.1*
%{_mandir}/man1/al.*
%{_mandir}/man1/%{name}dis.*
%{_mandir}/man1/genxs.*
%{_mandir}/man1/ilasm.*
%{_mandir}/man1/lc.1*
%{_mandir}/man1/makecert.*
%{_mandir}/man1/mdoc-*
%{_mandir}/man1/mdvalidater.*
%{_mandir}/man1/%{name}p.*
%{_mandir}/man1/cert2spc.*
%{_mandir}/man1/cilc.*
%{_mandir}/man1/dtd2xsd.*
%{_mandir}/man1/httpcfg.*
%{_mandir}/man1/permview.*
%{_mandir}/man1/prj2make.*
%{_mandir}/man1/signcode.*
%{_mandir}/man1/secutil.*
%{_mandir}/man1/sgen.*
%{_mandir}/man1/macpack.*
%{_mandir}/man1/mkbundle.*
#%{_mandir}/man1/%{name}burg.*
%{_mandir}/man1/%{name}-shlib-cop.*
%{_mandir}/man1/%{name}-xmltool.*
#%{_mandir}/man1/vbnc.*
%{_mandir}/man1/xbuild.1*
#%doc ChangeLog NEWS

%files nunit
%defattr(-,root,root,-)
%{_bindir}/nunit-console*
%{_prefix}/lib/%{name}/?.?/nunit-console.exe
%{_prefix}/lib/%{name}/?.?/nunit-console.exe.config
%{_prefix}/lib/%{name}/gac/nunit.core/*/nunit.core.dll
%{_prefix}/lib/%{name}/*/nunit.core.dll
%{_prefix}/lib/%{name}/*/nunit.core.extensions.dll
%{_prefix}/lib/%{name}/gac/nunit.core.extensions/*/nunit.core.extensions.dll
%{_prefix}/lib/%{name}/*/nunit.core.interfaces.dll
%{_prefix}/lib/%{name}/gac/nunit.core.interfaces/*/nunit.core.interfaces.dll
%{_prefix}/lib/%{name}/*/nunit-console-runner.dll
%{_prefix}/lib/%{name}/gac/nunit.framework/*/nunit.framework.dll
%{_prefix}/lib/%{name}/gac/nunit.framework.extensions/*/nunit.framework.extensions.dll
%{_prefix}/lib/%{name}/*/nunit.framework.dll
%{_prefix}/lib/%{name}/*/nunit.framework.extensions.dll
%{_prefix}/lib/%{name}/gac/nunit.util/*/nunit.util.dll
%{_prefix}/lib/%{name}/*/nunit.util.dll
%{_prefix}/lib/%{name}/gac/nunit.mocks/*/nunit.mocks.dll
%{_prefix}/lib/%{name}/*/nunit.mocks.dll
%{_prefix}/lib/%{name}/gac/nunit-console-runner/*/nunit-console-runner.dll

#%files jay
#%defattr(-,root,root)
#%{_bindir}/jay
#%{_datadir}/jay/*
#%{_mandir}/man1/jay.*
#%doc mcs/jay/{ACKNOWLEDGEMENTS,ChangeLog,NEW_FEATURES,NOTES,README,README.jay}

%files locale-extras
%defattr(-,root,root)
%{_prefix}/lib/%{name}/gac/I18N.MidEast/*/I18N.MidEast.dll
%{_prefix}/lib/%{name}/*/I18N.MidEast.dll
%{_prefix}/lib/%{name}/gac/I18N.Rare/*/I18N.Rare.dll
%{_prefix}/lib/%{name}/*/I18N.Rare.dll
%{_prefix}/lib/%{name}/gac/I18N.CJK/*/I18N.CJK.dll
%{_prefix}/lib/%{name}/*/I18N.CJK.dll
%{_prefix}/lib/%{name}/gac/I18N.Other/*/I18N.Other.dll
%{_prefix}/lib/%{name}/*/I18N.Other.dll

%files data
%defattr(-,root,root)
%{_bindir}/sqlsharp
%{_prefix}/lib/%{name}/?.?/sqlsharp.exe
%{_prefix}/lib/%{name}/gac/System.Data/*/System.Data.dll
%{_prefix}/lib/%{name}/?.?/System.Data.dll
%{_prefix}/lib/%{name}/gac/System.Data.DataSetExtensions/*/System.Data.DataSetExtensions.dll
%{_prefix}/lib/%{name}/?.?/System.Data.DataSetExtensions.dll
%{_prefix}/lib/%{name}/gac/System.Data.Linq/*/System.Data.Linq.dll
%{_prefix}/lib/%{name}/?.?/System.Data.Linq.dll
#%{_prefix}/lib/%{name}/?.?/System.Data.Management.dll
#%{_prefix}/lib/%{name}/?.?/System.Data.Messaging.dll
%{_prefix}/lib/%{name}/gac/System.Data.Services/*/System.Data.Services.dll
%{_prefix}/lib/%{name}/?.?/System.Data.Services.dll
%{_prefix}/lib/%{name}/gac/System.Data.Services.Client/*/System.Data.Services.Client.dll
%{_prefix}/lib/%{name}/?.?/System.Data.Services.Client.dll
#%{_prefix}/lib/%{name}/gac/Mono.Data
#%{_prefix}/lib/%{name}/?.?/Mono.Data.dll
%{_prefix}/lib/%{name}/gac/Mono.Data.Tds/*/Mono.Data.Tds.dll
%{_prefix}/lib/%{name}/?.?/Mono.Data.Tds.dll
%{_prefix}/lib/%{name}/gac/System.EnterpriseServices/*/System.EnterpriseServices.dll
%{_prefix}/lib/%{name}/?.?/System.EnterpriseServices.dll
%{_prefix}/lib/%{name}/gac/System.DirectoryServices/*/System.DirectoryServices.dll
%{_prefix}/lib/%{name}/?.?/System.DirectoryServices.dll
%{_prefix}/lib/%{name}/gac/System.DirectoryServices.Protocols/*/System.DirectoryServices.Protocols.dll
%{_prefix}/lib/%{name}/?.?/System.DirectoryServices.Protocols.dll
%{_prefix}/lib/%{name}/gac/Novell.Directory.Ldap/*/Novell.Directory.Ldap.dll
%{_prefix}/lib/%{name}/?.?/Novell.Directory.Ldap.dll
%{_mandir}/man1/sqlsharp.*

%files data-sqlite
%defattr(-,root,root)
%{_prefix}/lib/%{name}/gac/Mono.Data.Sqlite/*/Mono.Data.Sqlite.dll
%{_prefix}/lib/%{name}/?.?/Mono.Data.Sqlite.dll

#%files data-sybase
#%defattr(-,root,root)
#%{_prefix}/lib/%{name}/*/Mono.Data.SybaseClient*

%files data-oracle
%defattr(-, root, root)
%{_prefix}/lib/%{name}/gac/System.Data.OracleClient/*/System.Data.OracleClient.dll
%{_prefix}/lib/%{name}/?.?/System.Data.OracleClient.dll

%files data-postgresql
%defattr(-,root,root)
%{_prefix}/lib/%{name}/?.?/Npgsql.dll

#%files data-firebird
#%defattr(-,root,root)
#%{_prefix}/lib/%{name}/*/FirebirdSql.Data.Firebird*

%files ibm-data-db2
%defattr(-,root,root)
%{_prefix}/lib/%{name}/gac/IBM.Data.DB2/*/IBM.Data.DB2.dll
%{_prefix}/lib/%{name}/?.?/IBM.Data.DB2.dll

#%files bytefx-data-mysql
#%defattr(-,root,root)
#%{_prefix}/lib/%{name}/*/ByteFX.Data*

%files winforms
%defattr(-,root,root)
%{_prefix}/lib/%{name}/gac/System.Windows.Forms/*/System.Windows.Forms.dll
%{_prefix}/lib/%{name}/?.?/System.Windows.Forms.dll
%{_prefix}/lib/%{name}/gac/System.Windows.Forms.DataVisualization/*/System.Windows.Forms.DataVisualization.dll
%{_prefix}/lib/%{name}/?.?/System.Windows.Forms.DataVisualization.dll
%{_prefix}/lib/%{name}/gac/Accessibility/*/Accessibility.dll
%{_prefix}/lib/%{name}/?.?/Accessibility.dll
%{_prefix}/lib/%{name}/gac/System.Design/*/System.Design.dll
%{_prefix}/lib/%{name}/?.?/System.Design.dll
%{_prefix}/lib/%{name}/gac/System.Drawing.Design/*/System.Drawing.Design.dll
%{_prefix}/lib/%{name}/?.?/System.Drawing.Design.dll

#%files jscript
#%defattr(-,root,root,-)
#%{_bindir}/mjs
#%{_prefix}/lib/%{name}/?.?/mjs.exe*
#%{_prefix}/lib/%{name}/*/Microsoft.JScript*

%files extras
%defattr(-,root,root)
%{_bindir}/%{name}-service
%{_bindir}/%{name}-service2
%{_prefix}/lib/%{name}/gac/mono-service/*/mono-service.exe
%{_prefix}/lib/%{name}/?.?/mono-service.exe
%{_prefix}/lib/%{name}/gac/System.Management/*/System.Management.dll
%{_prefix}/lib/%{name}/?.?/System.Management.dll
%{_prefix}/lib/%{name}/gac/System.Messaging/*/System.Messaging.dll
%{_prefix}/lib/%{name}/?.?/System.Messaging.dll
%{_prefix}/lib/%{name}/gac/System.ServiceProcess/*/System.ServiceProcess.dll
%{_prefix}/lib/%{name}/?.?/System.ServiceProcess.dll
#%{_prefix}/lib/%{name}/*/Microsoft.Vsa*
%{_mandir}/man1/%{name}-service.*

%files web
%defattr(-,root,root)
%{_sysconfdir}/mono/?.?/Browsers/Compat.browser
%{_bindir}/disco
%{_prefix}/lib/%{name}/?.?/disco.exe
%{_bindir}/soapsuds
%{_prefix}/lib/%{name}/?.?/soapsuds.exe
%{_bindir}/wsdl*
%{_prefix}/lib/%{name}/?.?/wsdl.exe
%{_bindir}/xsd*
%{_prefix}/lib/%{name}/?.?/xsd.exe
%{_prefix}/lib/%{name}/*/WebMatrix.Data.dll
%{_prefix}/lib/%{name}/gac/WebMatrix.Data/*/WebMatrix.Data.dll
%{_prefix}/lib/%{name}/*/Microsoft.Web.Infrastructure.dll
%{_prefix}/lib/%{name}/gac/Microsoft.Web.Infrastructure/*/Microsoft.Web.Infrastructure.dll
%{_prefix}/lib/%{name}/*/System.Web.Http.dll
%{_prefix}/lib/%{name}/*/System.Web.Razor.dll
%{_prefix}/lib/%{name}/*/System.Web.WebPages.Deployment.dll
%{_prefix}/lib/%{name}/*/System.Web.WebPages.Razor.dll
%{_prefix}/lib/%{name}/*/System.Web.WebPages.dll
%{_prefix}/lib/%{name}/*/System.Web.Http.SelfHost.dll
%{_prefix}/lib/%{name}/*/System.Web.Http.WebHost.dll
%{_prefix}/lib/%{name}/*/System.Net.Http.WebRequest.dll
%{_prefix}/lib/%{name}/*/System.ServiceModel.Web.dll
%{_prefix}/lib/%{name}/gac/System.Web.Http/4.0.0.0__31bf3856ad364e35/System.Web.Http.dll
%{_prefix}/lib/%{name}/gac/System.Web.Http.SelfHost/4.0.0.0__31bf3856ad364e35/System.Web.Http.SelfHost.dll
%{_prefix}/lib/%{name}/gac/System.Web.Http.WebHost/4.0.0.0__31bf3856ad364e35/System.Web.Http.WebHost.dll
%{_prefix}/lib/%{name}/gac/System.Net.Http.WebRequest/4.0.0.0__b03f5f7f11d50a3a/System.Net.Http.WebRequest.dll
%{_prefix}/lib/%{name}/gac/System.Web.Razor/2.0.0.0__31bf3856ad364e35/System.Web.Razor.dll
%{_prefix}/lib/%{name}/gac/System.Web.WebPages.Deployment/2.0.0.0__31bf3856ad364e35/System.Web.WebPages.Deployment.dll
%{_prefix}/lib/%{name}/gac/System.Web.WebPages.Razor/2.0.0.0__31bf3856ad364e35/System.Web.WebPages.Razor.dll
%{_prefix}/lib/%{name}/gac/System.Web.WebPages/2.0.0.0__31bf3856ad364e35/System.Web.WebPages.dll

%{_bindir}/mconfig
%{_prefix}/lib/%{name}/?.?/mconfig.exe

#%{_prefix}/lib/%{name}/1.0/RabbitMQ.Client.dll
%{_prefix}/lib/%{name}/?.?/RabbitMQ.Client.Apigen.exe
%{_prefix}/lib/%{name}/gac/RabbitMQ.Client/*/*.dll

%{_prefix}/lib/%{name}/*/Mono.Messaging*.dll
%{_prefix}/lib/%{name}/*/RabbitMQ.Client.dll

%{_prefix}/lib/%{name}/gac/Mono.Messaging*/*/*.dll
%{_prefix}/lib/%{name}/gac/Mono.WebBrowser/*/Mono.WebBrowser.dll
%{_prefix}/lib/%{name}/?.?/Mono.WebBrowser.dll
#%{_prefix}/lib/%{name}/gac/Mono.Web/*/Mono.Web.dll
#%{_prefix}/lib/%{name}/?.?/Mono.Web.dll
%{_prefix}/lib/%{name}/gac/System.ServiceModel.Web/*/System.ServiceModel.Web.dll

%{_mandir}/man1/disco.*
%{_mandir}/man1/soapsuds.*
%{_mandir}/man1/wsdl.*
%{_mandir}/man1/xsd.*
%dir %{_sysconfdir}/%{name}/mconfig
%config(noreplace) %{_sysconfdir}/%{name}/config
%config(noreplace) %{_sysconfdir}/%{name}/browscap.ini
%config(noreplace) %{_sysconfdir}/%{name}/?.?/DefaultWsdlHelpGenerator.aspx
%config(noreplace) %{_sysconfdir}/%{name}/?.?/web.config
%{_prefix}/lib/%{name}/gac/Mono.Http/*/Mono.Http.dll
%{_prefix}/lib/%{name}/?.?/Mono.Http.dll
%{_prefix}/lib/%{name}/gac/System.Runtime.Remoting/*/System.Runtime.Remoting.dll
%{_prefix}/lib/%{name}/?.?/System.Runtime.Remoting.dll
%{_prefix}/lib/%{name}/gac/System.Runtime.Serialization.Formatters.Soap/*/System.Runtime.Serialization.Formatters.Soap.dll
%{_prefix}/lib/%{name}/?.?/System.Runtime.Serialization.Formatters.Soap.dll
%{_prefix}/lib/%{name}/gac/System.Web/*/System.Web.dll
%{_prefix}/lib/%{name}/?.?/System.Web.dll
%{_prefix}/lib/%{name}/gac/System.Web.Abstractions/*/System.Web.Abstractions.dll
%{_prefix}/lib/%{name}/?.?/System.Web.Abstractions.dll
%{_prefix}/lib/%{name}/gac/System.Web.ApplicationServices/*/System.Web.ApplicationServices.dll
%{_prefix}/lib/%{name}/?.?/System.Web.ApplicationServices.dll
%{_prefix}/lib/%{name}/gac/System.Web.DynamicData/*/System.Web.DynamicData.dll
%{_prefix}/lib/%{name}/?.?/System.Web.DynamicData.dll
%{_prefix}/lib/%{name}/gac/System.Web.Extensions/*/System.Web.Extensions.dll
%{_prefix}/lib/%{name}/?.?/System.Web.Extensions.dll
#%{_prefix}/lib/%{name}/compat-2.0/System.Web.Extensions.dll
%{_prefix}/lib/%{name}/gac/System.Web.Extensions.Design/*/System.Web.Extensions.Design.dll
%{_prefix}/lib/%{name}/?.?/System.Web.Extensions.Design.dll
#%{_prefix}/lib/%{name}/compat-2.0/System.Web.Extensions.Design.dll
%{_prefix}/lib/%{name}/gac/System.Web.Mvc/*/System.Web.Mvc.dll
%{_prefix}/lib/%{name}/?.?/System.Web.Mvc.dll
#%{_prefix}/lib/%{name}/compat-2.0/System.Web.Mvc.dll
%{_prefix}/lib/%{name}/gac/System.Web.Routing/*/System.Web.Routing.dll
%{_prefix}/lib/%{name}/?.?/System.Web.Routing.dll
%{_prefix}/lib/%{name}/gac/System.Web.Services/*/System.Web.Services.dll
%{_prefix}/lib/%{name}/?.?/System.Web.Services.dll

%changelog
* Thu Jan 28 2016 Automatic Build System <autodist@mambasoft.it> 4.2.2.30-1mamba
- automatic version update by autodist

* Tue Dec 29 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.2.10-2mamba
- more Microsoft.Build.Framework from -devel to -core

* Thu Dec 24 2015 Automatic Build System <autodist@mambasoft.it> 4.2.2.10-1mamba
- automatic version update by autodist

* Tue Dec 08 2015 Automatic Build System <autodist@mambasoft.it> 4.2.1.102-1mamba
- automatic version update by autodist

* Sat Mar 15 2014 Automatic Build System <autodist@mambasoft.it> 3.2.8-1mamba
- automatic version update by autodist

* Sat Mar 08 2014 Automatic Build System <autodist@mambasoft.it> 3.2.3-1mamba
- automatic version update by autodist

* Wed Aug 14 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.1-1mamba
- update to 3.2.1

* Wed Jul 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.12-2mamba
- disable prelink of monodis

* Mon Jul 15 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.12-1mamba
- update to 3.0.12

* Sun May 26 2013 Automatic Build System <autodist@mambasoft.it> 3.0.7-1mamba
- automatic version update by autodist

* Fri Nov 09 2012 Automatic Build System <autodist@mambasoft.it> 3.0.1-1mamba
- automatic version update by autodist

* Sat Oct 27 2012 Automatic Build System <autodist@mambasoft.it> 3.0.0-1mamba
- automatic version update by autodist

* Wed Aug 15 2012 Automatic Build System <autodist@mambasoft.it> 2.11.3-1mamba
- update to 2.11.3

* Wed Apr 27 2011 Automatic Build System <autodist@mambasoft.it> 2.10.2-1mamba
- automatic update by autodist

* Sat Feb 26 2011 Automatic Build System <autodist@mambasoft.it> 2.10.1-1mamba
- automatic update by autodist

* Fri Feb 18 2011 Automatic Build System <autodist@mambasoft.it> 2.10-1mamba
- automatic update by autodist

* Thu Jan 06 2011 Automatic Build System <autodist@mambasoft.it> 2.8.2-1mamba
- automatic update by autodist

* Thu Nov 18 2010 Automatic Build System <autodist@mambasoft.it> 2.8.1-1mamba
- automatic update to 2.8.1 by autodist

* Fri Oct 29 2010 Automatic Build System <autodist@mambasoft.it> 2.8-1mamba
- automatic update by autodist

* Mon Jul 26 2010 Automatic Build System <autodist@mambasoft.it> 2.6.7-1mamba
- automatic update to 2.6.7 by autodist

* Thu Jun 24 2010 Ercole 'ercolinux' Carpanettp <ercole69@gmail.com> 2.6.4-2mamba
- added a patch to fix Requires in pkgconfig file (fixes openoffice 3.2 build)

* Tue Apr 27 2010 Automatic Build System <autodist@mambasoft.it> 2.6.4-1mamba
- automatic update to 2.6.4 by autodist

* Tue Mar 16 2010 Automatic Build System <autodist@mambasoft.it> 2.6.3-1mamba
- automatic update to 2.6.3 by autodist

* Tue Dec 22 2009 Automatic Build System <autodist@mambasoft.it> 2.6.1-1mamba
- automatic update to 2.6.1 by autodist

* Wed Dec 09 2009 Automatic Build System <autodist@mambasoft.it> 2.4.3-1mamba
- automatic update to 2.4.3 by autodist

* Wed Jul 29 2009 Automatic Build System <autodist@mambasoft.it> 2.4.2.3-1mamba
- automatic update to 2.4.2.3 by autodist

* Tue Jul 21 2009 Automatic Build System <autodist@mambasoft.it> 2.4.2.2-1mamba
- automatic update by autodist

* Tue Jul 07 2009 Automatic Build System <autodist@mambasoft.it> 2.4.2.1-1mamba
- automatic update to 2.4.2.1 by autodist

* Tue Jun 30 2009 Automatic Build System <autodist@mambasoft.it> 2.4.2-1mamba
- automatic update to 2.4.2 by autodist

* Mon Mar 30 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4-1mamba
- automatic update to 2.4 by autodist

* Wed Mar 25 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2-3mamba
- mono-core: require mono data

* Tue Jan 27 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2-2mamba
- obsolete monodoc, provided internally since 2.2 release

* Tue Jan 27 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2-1mamba
- automatic update to 2.2 by autodist

* Sat Oct 25 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.1-1mamba
- automatic update to 2.0.1 by autodist

* Wed Jul 16 2008 gil <puntogil@libero.it> 1.9.1-1mamba
- update to 1.9.1

* Wed Aug 29 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.4-2mamba
- package with static libraries in mono-devel

* Fri Jun 29 2007 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.2.4-1mamba
- update to 1.2.4

* Thu Dec 21 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.2.1-1qilnx
- update to version 1.2.2.1 by autospec
- run ldconfig in post/postun

* Mon Sep 05 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.1.8.3-1qilnx
- package created by autospec
